### Method

# Camel FolderSummary get

since: 3.4

#### Declaration [src]

    CamelMessageInfo*
    camel_folder_summary_get (
      CamelFolderSummary* summary,
      const gchar* uid
    )

#### Description [src]

Retrieve a summary item by uid.

A referenced to the summary item is returned, which may be ref’d or free’d as appropriate.

Available since: 3.4

#### Parameters

`uid`

  Type: `const gchar*`

  A uid.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `CamelMessageInfo`

The summary item, or `NULL` if the uid `uid` is not available

See camel_folder_summary_get_info_flags().

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.